Star Wars Rebels Is Officially Renewed For A 4th Season
03 Mar. 2017

Star Wars Rebels Is Officially Renewed For A 4th Season


After much speculation of why a fourth season of “Star Wars Rebels” hasn’t been announced yet, we now get official word that it is indeed coming back for another season!

Here is the official press release about the season four announcement sent to us from Lucasfilm:

 CRITICALLY ACCLAIMED ‘STAR WARS REBELS’ RETURNS WITH ITS FOURTH SEASON THIS FALL ON DISNEY XD!

Production is underway on the fourth season of the acclaimed animated series “Star Wars Rebels” from Lucasfilm. The fourth season is scheduled to premiere on Disney XD later this year continuing the thrilling and inspiring galactic adventures of the Ghost crew.

Marc Buhaj, senior vice president, Programming and general manager, Disney XD, said, “The team behind ‘Star Wars Rebels’ delivers epic storytelling that has captivated fans of all ages across the globe. We’re excited to continue sharing the journey of these fan-favorite Rebels with our audience in the fall.”

Currently in its powerful third season, “Star Wars Rebels” continues to drive the Star Wars saga into new, unexplored realms of the galaxy and promises new surprises and action-packed adventures. Fans can look forward to more details and an announcement about the exciting fourth season of “Star Wars Rebels” during Star Wars Celebration in Orlando this April!

It’s definitely great to know for sure that Rebels will be back for another season, and while the press release didn’t give any details about the upcoming season, we can expect that to change in April at Celebration Orlando!

About the author

Tags

Related posts

Star Wars Rebels Season 4 Panel Announced For Celebration Orlando
Star Wars Rebels Season 4 Panel Announced For Celebration Orlando
March 8, 2017 - 0 comment
Dave Filoni Discuses The Future Of Star Wars Rebels In A New Interview
Dave Filoni Discuses The Future Of Star Wars Rebels In A New Interview
February 18, 2017 - 0 comment


Leave a Reply

* fields required